/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VConsultorpremio;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface VConsultorpremioFacadeLocal {

    void create(VConsultorpremio vConsultorpremio);

    void edit(VConsultorpremio vConsultorpremio);

    void remove(VConsultorpremio vConsultorpremio);

    VConsultorpremio find(Object id);

    List<VConsultorpremio> findAll();

    List<VConsultorpremio> findRange(int[] range);

    int count();

    VConsultorpremio findCallProPremios(String consultorCodigo, String fechaInicial, String fechaFinal, String programaCodigo);

    boolean validaExistenciaPremios(String premioCodigo, String salaCodigo);

    void entregaPremio(String consultorCodigo, String premioCodigo, String facturaCodigo);
}
